cascading.tuple

## Class TupleException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - cascading.CascadingException
        - - cascading.tuple.TupleException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FieldsResolverException

    public class TupleException
    extends CascadingException

Class TupleException is thrown by the `Tuple`, `Fields` and `TupleEntry` classes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TupleException()` Constructor TupleException creates a new TupleException instance.
`TupleException(java.lang.String string)` Constructor TupleException creates a new TupleException instance.
`TupleException(java.lang.String string, java.lang.Throwable throwable)` Constructor TupleException creates a new TupleException instance.
`TupleException(java.lang.Throwable throwable)` Constructor TupleException creates a new TupleException instance.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TupleException

    public TupleException()

Constructor TupleException creates a new TupleException instance.

#### TupleException

    public TupleException(java.lang.String string)

Constructor TupleException creates a new TupleException instance.

Parameters:
  `string` - of type String

#### TupleException

    public TupleException(java.lang.String string,
                  java.lang.Throwable throwable)

Constructor TupleException creates a new TupleException instance.

Parameters:
  `string` - of type String
  `throwable` - of type Throwable

#### TupleException

    public TupleException(java.lang.Throwable throwable)

Constructor TupleException creates a new TupleException instance.

Parameters:
  `throwable` - of type Throwable